Subject: Bug#1069: [X2Go-Dev] Bug#1069: Bug#1069: Cluster SSH (cssh) has keyboard issues withnon-US keyboards when called via X2GoClient

From: Stefan Baur <[email-masked]>
Date: Wed, 10 Aug 2016 16:27:26 +0200

Am 09.08.2016 um 17:31 schrieb Ulrich Sibiller:
> On Tue, Aug 9, 2016 at 5:01 PM, Stefan Baur <[email-masked]> wrote:
>> Am 08.08.2016 um 20:20 schrieb Ulrich Sibiller:
>>> On Windows switch to swiss (edv).

> Yeah, I had no Windows at hand to look up the exact name. So I'd
> suggest to retry using "Deutsch (Schweiz)/Deutsch(IBM)" (IBM is the
> one I meant).

Test situation:

Windows 7, Standard German Keyboard (no Swiss, no IBM)

x2goclient keyboard settings "autodetect keyboard":
^ -> nothing
^^ -> h~
~ -> ~
` -> nothing
`` -> h~
´ -> nothing
´´ -> h~

So only "~" works as expected.

Now here's the funny part:
Once you click into a single SSH window belonging to CSSH, and type "^^"
there, it will become a "^" ...
and EVERY subsequent typing of "^^", "``", or "´´" will become an "^".

If you do it with "``" instead, every subsequent typing of any of those
three characters becomes an "`", and so on.

x2goclient keyboard settings "pc105 de nodeadkeys":
Works fine for every single one of those characters, just like with the
US keyboard.

Changing the keyboard to "Deutsch (IBM)" did not change a thing.
"Deutsch (IBM)" is not the same as "de-latin1-deadkeys" on Linux, though
- it merely disables shifting of the number row when capslock is pressed
(at least that is my understanding).

Kind Regards,
Stefan Baur
-- 
BAUR-ITCS UG (haftungsbeschränkt)
Geschäftsführer: Stefan Baur
Eichenäckerweg 10, 89081 Ulm | Registergericht Ulm, HRB 724364
Fon/Fax 0731 40 34 66-36/-35 | USt-IdNr.: DE268653243